package com.zcloud.primeport.domain.enums;

import lombok.Getter;

@Getter
public enum FileTypeEnum {
    FILE_TYPE1(1,"File格式"),
    FILE_TYPE2(2,"url格式"),
    FILE_TYPE3(3,"base64格式")
    ;
    private Integer code;
    private String typeName;

    FileTypeEnum(Integer code, String typeName) {
        this.code = code;
        this.typeName = typeName;
    }

    public FileTypeEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public FileTypeEnum setTypeName(String typeName) {
        this.typeName = typeName;
        return this;
    }
}
